# Git + Rem(ote) = Gitote ❤️

**Demo**: **https://gitote.yoginth.com**

#### Software version control made simple!

Welcome to the [gitote](https://gitote.yoginth.com) codebase. We are so excited to have you. With your help, we can build out Gitote to be more stable and better serve our platform.

#### Shields 🛡

Linux | Windows | Go Report | Docker
----- | ------- | --------- | ------
[![GitLab Build status](https://img.shields.io/gitlab/pipeline/gitote/gitote.svg?logo=gitlab)](https://gitlab.com/gitote/gitote/pipelines) | [![AppVeyor Build status](https://img.shields.io/appveyor/ci/yo/gitote.svg?logo=appveyor)](https://ci.appveyor.com/project/yo/gitote) | [![Go Report](https://goreportcard.com/badge/gitlab.com/gitote/gitote)](https://goreportcard.com/report/gitlab.com/gitote/gitote) | [![Downloads](https://img.shields.io/docker/pulls/gitote/gitote.svg?logo=docker&maxAge=3600)](https://store.docker.com/community/images/gitote/gitote)

## What is Gitote ❓

[Gitote](https://gitote.yoginth.com) is an open source end-to-end software development platform with built-in version control, issue tracking, code review, and more.

## Table of Contents

- [Contributing](#contributing-)
    - [Where to contribute](#where-to-contribute)
    - [How to contribute](#how-to-contribute)
    - [Contribution guideline](#contribution-guideline-)
- [Codebase](#codebase-)
    - [The stack](#the-stack)
- [Documentation](#documentation-)
- [Features](#features-)
- [Core team](#core-team-)
- [Sponsors](#sponsors-)
- [Thanks](#thanks-)
- [License](#license-)

## Contributing 🚧

We expect contributors to abide by our underlying [code of conduct](CONDUCT.md). All conversations and discussions on Gitote (issues, pull requests) and across Gitote must be respectful and harassment-free.

<img align="right" src="https://i.imgsafe.org/61/611fe4067c.gif" width="200"/>

### Where to contribute

When in doubt you can mention us in any issues . Any issue with [`Good first Issue`](https://gitlab.com/gitote/gitote/issues?label_name%5B%5D=Good+first+Issue) tag is typically a good place to start.

✨ **Refactoring code**, e.g. improving the code without modifying the behavior is an area that can probably be done based on intuition and may not require much communication to be merged.

🐞 **Fixing bugs** may also not require a lot of communication, but the more the better. Please surround bug fixes with ample tests. Bugs are magnets for other bugs. Write tests near bugs!

🏗 **Building features** is the area which will require the most communication and/or negotiation. Every feature is subjective and open for debate. As always, when in doubt, ask!

### How to contribute

1.  Fork the project & clone locally. Follow the initial setup [here](docs/INSTALLATION.md).
2.  Create a branch, naming it either a feature or bug: `git checkout -b feature/that-new-feature` or `bug/fixing-that-bug`
3.  Code and commit your changes. Bonus points if you write a [good commit message](https://chris.beams.io/posts/git-commit/): `git commit -m 'Add some feature'`
4.  Push to the branch: `git push origin feature/that-new-feature`
5.  [Create a pull request](#create-a-pull-request) for your branch 🎉

## Contribution guideline 📜

### Create an issue

Nobody's perfect. Something doesn't work? Or could be done better? Let us know by creating an issue.

PS: a clear and detailed issue gets lots of love, all you have to do is follow the issue template!

### Clean code with tests

Some existing code may be poorly written or untested, so we must have more scrutiny going forward. We test with **go test**, let us know if you have any questions about this!

### Create a pull request

* Try to keep the pull requests small. A pull request should try its very best to address only a single concern.
* Make sure all tests pass and add additional tests for the code you submit.
* Document your reasoning behind the changes. Explain why you wrote the code in the way you did. The code should explain what it does.
* If there's an existing issue related to the pull request, reference to it by adding something like `References/Closes/Resolves #305`, where 305 is the issue number.
* If you follow the pull request template, you can't go wrong.

## Codebase 💻

### The stack

View **Gitote** tech stack [here](docs/STACK.md)

## Documentation 📑

View **Gitote** documentations [here](docs)

## Features 🔮

- Activity timeline
- **SSH** and **HTTP/HTTPS** protocols
- Account/Organization/Repository management
- Add/Remove repository collaborators
- Repository/Organization **webhooks** (including Slack and Discord)
- Repository **Git hooks/deploy keys**
- Repository **issues**, **pull requests**, **wiki** and **protected branches**
- **Migrate** and **mirror** repository and its wiki
- **Web editor** for repository files and wiki
- **Jupyter Notebook**
- **Two-factor authentication**
- **Gravatar** and **Federated avatar** with custom source
- **Mail** service
- More emojis. 🐈

## Core team 👬

- [Yoginth](https://gitlab.in/yo)

## Sponsors 🤗

<img src="https://tasklog.netlify.com/images/digitalocean.svg" width="150" alt="DigitalOcean">
<br>
<img src="https://tasklog.netlify.com/images/sentry.svg" width="150" alt="Sentry">

## Thanks 🙏

- [Logo](https://www.behance.net/gallery/74587843/Gitote-Brand-Identity-Design) - Gitote logo designed by [CodeCarrot](http://codecarrot.net/).
- [README](https://github.com/thepracticaldev/dev.to/blob/master/README.md) - Thanks [dev.to](https://dev.to)! We loved their README so we made us like them!

## License 💼

This program is free software: you can redistribute it and/or modify it under the terms of the **MIT License**. Please see the [LICENSE](LICENSE) file in our repository for the full text.

##### Happy Coding ❤️
